boinc (8.2.5+dfsg-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Gianfranco Costamagna ]
  * New upstream version 8.2.5+dfsg
  * Strip 3rdparty directory, unneeded
  * Bump copyright years
  * Drop also installer directory
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Aug 2025 15:25:06 +0200

boinc (8.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 8.0.4+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2024 23:58:21 +0200

boinc (8.0.2+dfsg-2) unstable; urgency=medium

  * Move service to /usr (Closes: #1073631)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2024 23:50:41 +0200

boinc (8.0.2+dfsg-1) unstable; urgency=medium

  * fix watch file
  * New upstream version 8.0.2+dfsg
  * Refresh patches
  * Add some new samples
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 23:55:00 +0200

boinc (7.24.1+dfsg-4) unstable; urgency=medium

  * Add patch to fix time64 misbuilds on armhf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Mar 2024 09:18:19 +0100

boinc (7.24.1+dfsg-3) unstable; urgency=medium

  * Upload to sid.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 12:04:05 +0100

boinc (7.24.1+dfsg-2exp2) experimental; urgency=medium

  [ Steve Langasek ]
  * Patch debian/control.in, which uses idiosyncratic format and therefore
    failed to be automatically patched, then clobbered necessary changes in
    debian/control regarding Breaks/Replaces/Provides.  Closes: #1061984.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Feb 2024 09:03:04 +0100

boinc (7.24.1+dfsg-2exp1) experimental; urgency=medium

  [ Steve Langasek ]
  * Patch debian/control.in, which uses idiosyncratic format and therefore
    failed to be automatically patched, then clobbered necessary changes in
    debian/control regarding Breaks/Replaces/Provides.  Closes: #1061984.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 14:24:45 +0100

boinc (7.24.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061934

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 03:42:25 +0000

boinc (7.24.1+dfsg-2) unstable; urgency=medium

  * Ack previous NMU, thanks!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 14:22:19 +0100

boinc (7.24.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.24.1+dfsg
  * Bump copyright years
  * Refresh patches
  * Drop switcher, removed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2024 09:37:05 +0100

boinc (7.20.5+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship systemd unit under /lib/systemd/system so that it can get picked
    up by dh_installsystemd (Closes: #1034216)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Apr 2023 16:59:54 +0000

boinc (7.20.5+dfsg-1) unstable; urgency=medium

  * New upstream version 7.20.5+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Dec 2022 16:00:35 +0100

boinc (7.20.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.20.4+dfsg
  * Drop patch MainDocumentWarnings, that code is now OSX only and changed
  * Upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Nov 2022 10:46:38 +0100

boinc (7.20.2+dfsg-3) unstable; urgency=medium

  * Switch from webview3.0 to webview3.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 23:48:53 +0200

boinc (7.20.2+dfsg-2) unstable; urgency=medium

  * Add patch to fix a build failure (Closes: #1016225)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Aug 2022 13:34:18 +0200

boinc (7.20.2+dfsg-1) unstable; urgency=medium

  * Add new skins in /usr/share/boinc-manager/skins/ while waiting for https://github.com/BOINC/boinc/pull/4811 to be merged
  * install skins with upstream patch
  * New upstream version 7.20.2+dfsg
  * Drop files removed from upstream tarball
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jul 2022 19:24:30 +0200

boinc (7.20.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Reverse AVX instructions for better compatibility with older servers

  [ Gianfranco Costamagna ]
  * New upstream version 7.20.0+dfsg
  * Refresh patches, drop patches now upstream: 4563 and new-autoconf-build-fix
  * Bump copyright years
  * Drop version constraints
  * Fix metadata lintian warnings
  * Drop old and unused override (wrong match)
  * Drop binaries from include-binaries not available anymore from upstream tarball
  * Update copyright file
  * Drop asneeded flag, now default

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jun 2022 14:51:40 +0200

boinc (7.18.1+dfsg-4) unstable; urgency=low

  * Refresh openssl patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Jan 2022 09:29:47 +0100

boinc (7.18.1+dfsg-3) unstable; urgency=medium

  * Don't fail on missing files
  * Add dependency on opencl-c-headers
  * Add patch to fix build with newer autoconf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jan 2022 21:03:28 +0100

boinc (7.18.1+dfsg-2) unstable; urgency=medium

  * Fix build error due to missing || true in delete command

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 17:27:51 +0100

boinc (7.18.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * more reformats of debian/control that are partly adopted manually
    for d/control.in
  * eliminated two lintian warnings on installed vcs control files
  * Standards-Version: 4.6.0 (routine-update)

  [ Gianfranco Costamagna ]
  * debian/patches/4563.patch:
    - Add upstream patch to fix build with openssl 3.0 (Closes: #995637)

  [routine-update]
  * debhelper-compat 13
  * reformat of debian/control - partly adopted manually for d/control.in

  [ Pino Toscano ]
  * Remove the old boincmgr.xpm icon, no more needed since the removal of the
    Debian menu file in 7.6.15+dfsg-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jan 2022 16:23:12 +0100

boinc (7.16.17+dfsg-2) unstable; urgency=medium

  * Fix build with upstream patch on master branch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jun 2021 11:49:24 +0200

boinc (7.16.17+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.17+dfsg
  * Simplify dpkg-parsechangelog syntax
  * Drop old copyright exclusion of png files not included anymore in upstream tarball
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jun 2021 10:43:28 +0200

boinc (7.16.16+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.16+dfsg
  * Drop a bunch of upstreamed patches:
    - allow_empty_passwords
    - boinc-client-password
    - cppcheck_realloc
    - fix-macos-build
    - gui_urls_xml_added_to_Makefile
    - more_maxpathlen
    - no-private-tmp
    - python3install
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Feb 2021 17:39:03 +0100

boinc (7.16.15+dfsg.is.7.16.14+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Bump std-version to 4.5.1, no changes required
  * Extended copyright for drupal/sites/all/libraries/ckeditor

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Dec 2020 02:13:19 +0100

boinc (7.16.15+dfsg.is.7.16.11+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 11:15:49 +0100

boinc (7.16.15+dfsg.is.7.16.11+dfsg-3) unstable; urgency=medium

  * Don't set PrivateTmp on service file to fix idle detection.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 11:14:44 +0100

boinc (7.16.15+dfsg.is.7.16.11+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Nov 2020 15:35:58 +0100

boinc (7.16.15+dfsg.is.7.16.11+dfsg-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Very reluctantly following upstream's request to install
    /etc/boinc-client/config.properties
  * Introduced dversionmangle=auto in d/watch
  * Applied patch from upstream's pull request #4071 to also accept empty
    passwords and distribute it as allow_empty_passwords.patch.
  * Added d/u/metadata
  * ch_stat of the configuration file

  [ Gianfranco Costamagna ]
  * Upload to sid (Closes: #971966)
  * Drop double "git" mention that breaks build
  * Update allow_empty_passwords with new upstream changes
  * Add patch to explain end user how to add himself to boinc group if manager fails to connect
  * Install boinc into usr/lib now that systemd is not creating /lib/systemd by default anymore
  * Try to make it work with {/usr}/lib/systemd already provided in the system (mkdir from autotools is what should be probably done)
  * Revert "Try to make it work with {/usr}/lib/systemd already provided in the system (mkdir from autotools is what should be probably done)"
  * Add patch to force systemd installation into /usr/lib instead of /lib, we don't know how the build system is configured (and we don't care)

 -- Steffen Moeller <moeller@debian.org>  Mon, 09 Nov 2020 23:38:23 +0100

boinc (7.16.15+dfsg.is.7.16.11+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 11:31:30 +0200

boinc (7.16.15+dfsg.is.7.16.11+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.11+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 11:30:10 +0200

boinc (7.16.15+dfsg.is.7.16.10+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Aug 2020 09:11:15 +0200

boinc (7.16.15+dfsg.is.7.16.10+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.10+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Aug 2020 09:08:15 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:34:33 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-2) unstable; urgency=medium

  * Add patch to fix build on non-macos systems

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:30:57 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:30:28 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.9+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 13:14:09 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 19:26:37 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-2) unstable; urgency=medium

  * boinc misc fixes:
    - don't depend on libcuda-versioned packages,
      now we have a virtual libcuda1 everywhere
    - change the dependency in a recommendation instead,
      to avoid universe/multiverse archive mismatches in Ubuntu
    - add virtualbox-6.1 as supported
    - drop libopencl-1.1-1 dependency,
      not used anymore since we have the virtual ocl-icd-libopencl1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 19:24:23 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 16:34:33 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.15+dfsg.is.7.16.7+dfsg
    - this is mostly the same release as 7.16.6+dfsg, the 7.16.15 tag was
      wrongly pushed upstream
  * Revert "Refresh patches"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 16:30:12 +0200

boinc (7.16.15+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:55:34 +0200

boinc (7.16.15+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Eliminate Lintian warning - renamed debian/TODO

  [ Gianfranco Costamagna ]
  * New upstream version 7.16.15+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:54:13 +0200

boinc (7.16.6+dfsg-1exp2) experimental; urgency=medium

  * Also building static libraries - to help providing truly static scientific
    apps across platforms.
  * d/rules:
    - clean is undoing uncommitted changes done to d/control
    - changing #!python to python3
  * boinc-server-maker: provide arch-dep links instead of examples' executables
                        in /usr/share/doc

 -- Steffen Moeller <moeller@debian.org>  Sat, 02 May 2020 14:21:51 +0200

boinc (7.16.6+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Apr 2020 17:09:16 +0200

boinc (7.16.6+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.6+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Apr 2020 17:07:33 +0200

boinc (7.16.5+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2020 15:33:53 +0100

boinc (7.16.5+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.5+dfsg
  * Upload to unstable
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2020 15:32:39 +0100

boinc (7.16.4+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 15:34:18 +0100

boinc (7.16.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.4+dfsg
  * Bump copyright years
  * drop upstream patches:
    - some_extra_clang_warnings.patch
    - more_clang_warnings.patch
  * Refresh patches
  * Bump std-version to 4.5.0, no changes required
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 15:28:00 +0100

boinc (7.16.3+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.
    (Closes: #936224, Closes: #903762)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Oct 2019 07:34:47 +0200

boinc (7.16.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/control: Introducing 'Rules-Requires-Root: no'

 -- Steffen Moeller <moeller@debian.org>  Mon, 30 Sep 2019 20:43:14 +0200

boinc (7.16.1+git20190825+dfsg-1exp1) UNRELEASED; urgency=medium

  [ Steffen Moeller ]
  * Addressing python3 install errors of boinc-server-maker package
    (Closes: #936224, Closes: #903762)

 -- Steffen Moeller <moeller@debian.org>  Mon, 26 Aug 2019 16:53:16 +0200

boinc (7.16.1+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Aug 2019 13:15:40 +0200

boinc (7.16.1+dfsg-2) unstable; urgency=high

  * Upload to unstable
  * debian/patches/6897d96cdc5a6be3392168edf2066d74b763e2cd.patch:
    - upstream cherry-pick for bad cc_config.xml being written in some corner
      case

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Aug 2019 13:07:19 +0200

boinc (7.16.1+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 13:09:06 +0200

boinc (7.16.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.1+dfsg
  * Upload to unstable
  * Create slots directory during install (Closes: #929743)
  * Bump std-version to 4.4.0, no changes required
  * Also assign user to group "render" (Closes: #929409)
  * Patch refresh
  * Add fedora patches
  * Update copyright years to 2019
  * Bump compat level to 12
  * Drop dh_dbgsym migration code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 11:51:29 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog boinc-client-opencl`.
